Last Comment Bug 765372 - Add some null safety to isElementClickable
: Add some null safety to isElementClickable
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: Firefox 16
Assigned To: :Margaret Leibovic
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks: text-selection
  Show dependency treegraph
 
Reported: 2012-06-15 14:23 PDT by :Margaret Leibovic
Modified: 2012-07-12 16:05 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
patch (1.28 KB, patch)
2012-06-15 14:23 PDT, :Margaret Leibovic
wjohnston2000: review+
Details | Diff | Splinter Review

Description :Margaret Leibovic 2012-06-15 14:23:15 PDT
Created attachment 633675 [details] [diff] [review]
patch

If we call isElementClickable aAllowBodyListeners=false, if aElement isn't a descendant of aElement.ownerDocument.body (such as the root element) you can run into problems. This is what causes this error sometimes seen during development:
[JavaScript Error: "NS_ERROR_INVALID_POINTER: Component returned failure code: 0x80004003 (NS_ERROR_INVALID_POINTER) [nsIEventListenerService.getListenerInfoFor]" {file: "chrome://browser/content/browser.js" line: 3397}]
Comment 1 :Margaret Leibovic 2012-06-15 16:00:02 PDT
Wes gave me an r+ on IRC, so I landed this:
https://hg.mozilla.org/integration/mozilla-inbound/rev/c6371662e21e
Comment 2 Phil Ringnalda (:philor) 2012-06-15 19:52:53 PDT
Backed out in https://hg.mozilla.org/integration/mozilla-inbound/rev/e4861bc9f86f - other than the orange in mochitests 1-3 and 6-8, robocop, crashtests and reftests, everything when swimmingly with that push.
Comment 3 :Margaret Leibovic 2012-06-18 10:12:44 PDT
I pushed to try to make sure this patch wasn't the guilty one. Re-landing:
https://hg.mozilla.org/integration/mozilla-inbound/rev/526235473719
Comment 4 Ed Morley [:emorley] 2012-06-19 01:19:56 PDT
https://hg.mozilla.org/mozilla-central/rev/526235473719
Comment 5 :Margaret Leibovic 2012-07-12 16:05:47 PDT
Uplifted to aurora as part of a roll-up patch:
https://hg.mozilla.org/releases/mozilla-aurora/rev/2fb0a358eaf6

Note You need to log in before you can comment on or make changes to this bug.